Bug 286459 - Text color for Services list on configuration dialog and dark themes
Summary: Text color for Services list on configuration dialog and dark themes
Status: RESOLVED FIXED
Alias: None
Product: dolphin
Classification: Unclassified
Component: general (show other bugs)
Version: 2.1
Platform: Chakra Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Dolphin Bug Assignee
URL:
Keywords:
: 318133 (view as bug list)
Depends on:
Blocks:
 
Reported: 2011-11-13 02:45 UTC by Hugo Ortega_H
Modified: 2013-09-03 20:10 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In: 4.11.2


Attachments
Services section on dolphin's config dialog and text color issue (100.84 KB, image/png)
2011-11-13 02:45 UTC, Hugo Ortega_H
Details
Screenshot with the developers theme linked by the reporter. (198.15 KB, image/png)
2012-11-01 19:16 UTC, Adrián Chaves (Gallaecio)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Hugo Ortega_H 2011-11-13 02:45:40 UTC
Created attachment 65579 [details]
Services section on dolphin's config dialog and text color issue

Version:           1.7 (using KDE 4.7.2) 
OS:                Linux

On Dolphin's configuration dialog, at the Services section, the list of available services is not honoring the system's color configuration, and is using the "window text" color instead of "view text" color.

Reproducible: Always

Steps to Reproduce:
Open the Dolphin's configuration dialog and see the Services section.

Actual Results:  
The text is unreadable if some dark theme is configured for the system because the list view is using the "window text" color instead of "view text" color.

Expected Results:  
The text color on list view should be "view text" color.
Comment 1 Jeroen van Meeuwen (Kolab Systems) 2012-08-24 16:19:53 UTC
Resetting assignee to default as per bug #305719
Comment 2 Jekyll Wu 2012-08-24 18:26:49 UTC
Could you provide the name of the specific colorscheme used in the screenshot? I tried several dark colorscheme but failed to reproduce it .
Comment 3 Christoph Feck 2012-08-25 00:31:15 UTC
The bug is still present. Of course you need a color scheme, where WindowText != ViewText.

For example http://kde-look.org/content/show.php/CheckColorRoles?content=90034
Comment 4 Adrián Chaves (Gallaecio) 2012-11-01 19:16:30 UTC
Created attachment 74921 [details]
Screenshot with the developers theme linked by the reporter.
Comment 5 Adrián Chaves (Gallaecio) 2012-11-01 19:23:04 UTC
The screenshot attached (taken with Dolphin 2.1, KDE 4.9.2) confirms the issue described above.

I want to also remark that, when the sidebar loses the focus, the text color of the selected item becomes blue. I am not sure that is right either. To reproduce:
1. Use the theme linked in comment #c3.
2. Click an item of the sidebar of Dolphin’s settings (e.g. Services). It’s text will turn brown, as will its background (different browns).
3. Press Tab to blur the sidebar. The text will become blue instead.
Comment 6 Christoph Feck 2012-11-01 20:07:26 UTC
Regarding the sidebar, that would be a kdeui issue. I will check that. It might be caused by the "Inactive selection changes color" option in System Settings/Colors.
Comment 7 Christoph Feck 2013-04-21 11:36:06 UTC
*** Bug 318133 has been marked as a duplicate of this bug. ***
Comment 8 Christoph Feck 2013-09-03 20:10:05 UTC
Git commit 91a2e523f1bc2f29e9e988accdca4a68656ddbdc by Christoph Feck.
Committed on 03/09/2013 at 20:05.
Pushed by cfeck into branch 'KDE/4.11'.

Fix color role of services list

Fixes the color of non-selected items to make them
readable with every color scheme.
FIXED-IN: 4.11.2
REVIEW: 112483

M  +3    -0    dolphin/src/settings/serviceitemdelegate.cpp

http://commits.kde.org/kde-baseapps/91a2e523f1bc2f29e9e988accdca4a68656ddbdc